<?php

namespace ThurData\Servers\KerioEmail\App\UI\Client\Setting\Buttons;


use ThurData\Servers\KerioEmail\App\UI\Client\Setting\Modals\EditSettingModal;
use \ThurData\Servers\KerioEmail\Core\UI\Widget\Buttons\ButtonDataTableModalAction;
use ThurData\Servers\KerioEmail\Core\UI\Interfaces\ClientArea;

/**
 *
 * Created by PhpStorm.
 * User: ThurData
 * Date: 18.09.19
 * Time: 09:29
 * Class EditSettingButton
 */
class EditSettingButton extends ButtonDataTableModalAction implements ClientArea
{
    protected $id    = 'editSettingButton';
    protected $title = 'editSettingButton';

    public function initContent()
    {
        $this->initIds('editSettingButton');
        $this->initLoadModalAction(new EditSettingModal());
        $this->setDisableByColumnValue("selfdns ", 0);
    }

}